/* Author : Dario GENGA
 * Date : 25.01.2022
 * Description : Contrôle continue 2 - Exercice 1
 */

#include <stdio.h>
#include <stdlib.h>

int main() {
    const int ARRAY_LENGTH = 8;
    int *array = malloc(sizeof(int) * ARRAY_LENGTH);
    int drop_count = 0;
    int drop_total_value = 0;

    // Get the values
    for (int i = 0; i < ARRAY_LENGTH; i++) {
        int value;
        scanf("%d", &value);
        array[i] = value;
    }

    // Parse the values
    for (int i = 1; i < ARRAY_LENGTH; i++) {
        if (array[i] < array[i - 1]) {
            drop_count++;
            drop_total_value += array[i - 1] - array[i];
        }
    }

    // Display the results
    printf("%d %d\n", drop_count, drop_total_value);

    // Free the memory and exit the program
    free(array);
    return EXIT_SUCCESS;
}
